Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6097 - loading keymap doesn4t work if /usr is a partition by its own
Summary: loading keymap doesn4t work if /usr is a partition by its own
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-19 20:52 UTC by andreas.ames
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-27 20:10:31 UTC


Attachments (Terms of Use)

Description andreas.ames 1999-10-19 20:52:42 UTC
in script /etc/rc.d/rc.sysinit:
in the keymap-load code there is a check if directory
/usr/lib/kbd/keymaps exists before calling loadkeys with the
user-provided keymap-setting ( in /etc/sysconfig/keyboard ).
this is done before filesystems are mounted. so if /usr is
an own partition this code doesn4t work.
furthermore after upgrading from Red Hat 5.2 the file
/etc/sysconfig/console/default.kmap exists, so that the user
provided keymap-setting isn4t recognized by the code

Comment 1 Bill Nottingham 1999-10-19 20:59:59 UTC
???
The test for /usr/lib/kbd/keymaps is there precisely
so it doesn't try to load it when /usr isn't mounted.

/etc/sysconfig/console/default.kmap is there so that a keyboard
map can be loaded early (for fsck recovery, etc.)
The regular keymap will be loaded by the keytable init script
later...


Note You need to log in before you can comment on or make changes to this bug.